> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get zone usage limit stats

> Use the Bright Data Reseller API to get Zone Usage Limit Stats. GET /api/{partner}/usage_limit_stats returns a 200 OK JSON response for the requested action.



## OpenAPI

````yaml api-reference/openapi-reseller GET /api/{PARTNER_NAME}/usage_limit_stats
openapi: 3.0.1
info:
  title: Bright Data API
  description: >-
    Integrate Bright Data APIs to your pipeline and secure high-end scraping
    precision
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /api/{PARTNER_NAME}/usage_limit_stats:
    get:
      parameters:
        - in: path
          name: PARTNER_NAME
          description: Name of the proxy zone which will service your request.
          required: true
          schema:
            type: string
        - in: query
          name: ids
          description: List of valid customersâ€™ IDs
          required: true
          schema:
            type: array
            items:
              type: string
        - in: query
          name: zone
          description: Existing zone name
          required: false
          schema:
            type: string
            default: residential
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                example:
                  oc_1:
                    status: reached
                    usage:
                      used: 0
                      period:
                        start: '2022-03-05T00:00:00.000Z'
                        until: '2022-06-04T00:00:00.000Z'
                      limit: 5242880000
                  oc_unlimited:
                    status: unlimited
                  oc_2:
                    error: Customer not found
                  bad_id:
                    error: wrong id
                  oc_inactive:
                    error: Customer has invalid status
                  oc_zone:
                    error: zone not found
                  oc_invalid_limit:
                    error: invalid limit
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Use your Bright Data API Key as a Bearer token in the Authorization
        header.


        **How to authenticate:**

        1. Obtain your API Key from the Bright Data account settings at
        https://brightdata.com/cp/setting/users

        2. Include the API Key in the Authorization header of your requests

        3. Format: `Authorization: Bearer YOUR_API_KEY`


        **Example:**

        ```

        Authorization: Bearer
        b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

        ```


        Learn how to get your Bright Data API key:
        https://docs.brightdata.com/api-reference/authentication
      bearerFormat: API Key

````